LM 19.3 cinnamon hp 1005 nyomtató hiba

Fórum: 

Üdvözletem Mindenkinek!

A tárgyban említett nyomtatót nem tudom használni a lm 19.3-mal.

Segitséget kérek!!!

prt

Atime!

Én nem tudom mit lehet kezdeni a linkel.

Nem találom, azt a bizonyos "végig kisérést"

Most itt tartok: Teszt nyomtatást kérem, jobb felső sarokba meg is jelenik "teszt nyomtatás" kész, de a nyomtaton semmi nem történt.

 

Értékelés: 

0
Még nincs értékelve

prt

#2 Én nem tudom a helyedben kipróbálni, nincs ilyen eszközöm. Én erre gondoltam, bár elég régi a leírás, de hátha müködik:

http://ubuntu.hu/node/8817#comment-93757

Értékelés: 

0
Még nincs értékelve
kimarite képe

Innen töltsd le a HPLIP-et,

#4 és ...

A Linux Mintet válaszd ki a listából.

Tölts le a telepítőt a Letöltések könytárba.

Nyiss terminált.

Lépj be a Letöltések könyvtárba (terminálban):

cd Letöltések/

Tedd futtathatóvá a telepítőt (a TAB billentyű megnyomásával, pár karakter begépelése után kiegészíteheted a nevét):

chmod +x hplip-3.20.6.run

Futtasd a telepítőt (ahogy már láttad a javaslatban, vagy így):

sh ./hplip-3.20.6.run

Felhasználói terminált nyiss, ahol a készenléti jelzés (a prompt) a $ karakter!
Ne használj sudo-t a telepítő futtatásához, nem kell admin jog (a HP saját ajánlása ez)!

Kis kiegészítés tettem, mert a telepítő nem futtatható fájl.

Értékelés: 

0
Még nincs értékelve

Innen töltsd le a HPLIP-et,

#5 Tudom hogy jobban értesz hozzá.  A "synaptic" csomagkezelőben láttam hogy alapból feltesz sok mindent a HP nyomikhoz a LM. Mondjuk nekem HP LeaserJet 1018 van. De én amikor a 19.3-at használtam csak ezt írtam a terminálba.
A parancs: sudo hp-setup -i

Remélem segíthettem, ha nem elnézést kérek.

Értékelés: 

0
Még nincs értékelve
kimarite képe

a „sudo” szükségtelen

#6 Nem javasolt a beállító alkalmazást
admin (sudo) joggal indítani.
A megoldás nem ez:

sudo hp-setup -i

Ugye a GUI sem indítható sudo-val, mert grafikus alkalmazás, amit így nem lehet.
Az áltaíad javasolt i, azaz interaktív indításnak

MODE
       Run in graphical UI mode:
              -u or --gui (Default)

       Run in interactive mode:
              -i or --interactive

is elegendő a felhasználói készenléti jelzés, a $ prompt .., azaz sudo nem kell.

A kézikönyv

man hp-setup

is $-t mutat (és sudo-t sem mutat):

EXAMPLES
       Setup using GUI mode:
              $ hp-setup

       Setup using GUI mode, specifying usb:
              $ hp-setup -b usb

       Setup using GUI mode, specifying an IP:
              $ hp-setup 192.168.0.101

       One USB printer attached, automatic:
              $ hp-setup -i -a

       USB, IDs specified:
              $ hp-setup -i 001:002

       Network:
              $ hp-setup -i 66.35.250.209

       Network, Jetdirect port 2:
              $ hp-setup -i --port=2 66.35.250.209

       Parallel:
              $ hp-setup -i /dev/parport0

       USB or parallel, using serial number:
              $ hp-setup -i US12345678A

       USB, automatic:
              $ hp-setup -i --auto 001:002

       Parallel, automatic, no testpage:
              $ hp-setup -i -a -x /dev/parport0

       Parallel, choose device:
              $ hp-setup -i -b par

Értékelés: 

0
Még nincs értékelve

Valóban nem kell sudózni a

Valóban nem kell sudózni a script indításáhához, mert a futtatás során ahol kell a scriptben lévő parancs fog emelt jogosultságot(jelszót) kérni. Ugyanakkor a chmod  szükségtelen, ha sh parancsértelmező megadásával futtatjuk a scriptet, mivel ilyenkor az sh a parancs, és a script az argumentum.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Valóban nem kell sudózni a

#8 Ugyanakkor a chmod  szükségtelen, ha sh parancsértelmező megadásával futtatjuk a scriptet, mivel ilyenkor az sh a parancs, és a script az argumentum.

Nem minden Linux terjesztés alatt működik máshogyan (sajnos).

Értékelés: 

0
Még nincs értékelve
kimarite képe

Valóban nem kell sudózni a

#9 Talán asztali körynezet függő, de valahol, valamikor tapasztaltam...
Debian 10, Xfce - itt működik (maga a futtatás):

debkim@debkim:~/Letöltések$ sh hplip-3.20.6.run
Creating directory hplip-3.20.6
Verifying archive integrity... All good.
Uncompressing HPLIP 3.20.6 Self Extracting Archive................................................[]
HP Linux Imaging and Printing System (ver. 3.20.6)
HPLIP Installer ver. 5.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Installer log saved in: hplip-install_Sat-08-Aug-2020_16:04:22.log

\
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
 
error: debian-10.5 version is not supported, so all dependencies may not be installed. However trying to install using debian-10.3 version packages.

Press 'y' to continue auto installation. Press 'n' to quit auto instalation(y=yes, n=no*): Installation exit
debkim@debkim:~/Letöltések$

A fentebb említett naplóban, hogy a Debian 10.5 kiadásra (az általam használt rendszer) a letöltött telepítő nem használható (nyilván, mert a Linux Mint kiadás telepítőjét töltöttem le :)):

hplip-install[22171]: info: :
hplip-install[22171]: info: :[01mHP Linux Imaging and Printing System (ver. 3.20.6)[0m
hplip-install[22171]: info: :[01mHPLIP Installer ver. 5.1[0m
hplip-install[22171]: info: :
hplip-install[22171]: info: :Copyright (c) 2001-18 HP Development Company, LP
hplip-install[22171]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hplip-install[22171]: info: :This is free software, and you are welcome to distribute it
hplip-install[22171]: info: :under certain conditions. See COPYING file for more details.
hplip-install[22171]: info: :
hplip-install[22171]: info: :Installer log saved in: [01mhplip-install_Sat-08-Aug-2020_16:04:22.log[0m
hplip-install[22171]: info: :
hplip-install[22171]: info: :
note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
error: debian-10.5 version is not supported, so all dependencies may not be installed. However trying to install using debian-10.3 version packages.
hplip-install[22171]: info: :Installation exit

Értékelés: 

0
Még nincs értékelve
kimarite képe

Innen töltsd le a HPLIP-et,

#6 Nem feltétlen értek jobban ehhez.
Az eredeti leírásban sincs „sudo”:
https://developers.hp.com/hp-linux-imaging-and-printing/install/install/...
Elhiszem, hogy neked ez a parancs segített, de felesleges sudo-zni itt és vélhetően nem is egészséges a rendszerre, nyomtató beállításokra nézve.
Igazából azért érdemes a „gyári” beállításokhoz ragaszkodni, mert nem tudjuk, mi van, ha nem úgy csináljuk, de utóbbi azt hiszem, nem is érdekes: mert nem kutatók vagyunk, hanem csak egy illesztőprogramot szeretnénk telepíteni, ha lehet azonnal és sikeresn ... aztán ráérük minden másra is :). Legközelebb próbáld „sudo” nélkül. ;)

#10 A Debianra való telepítő is „le van maradva”:

note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.
-
error: debian-10.5 version is not supported, so all dependencies may not be installed. However trying to install using debian-10.3 version packages.

Press 'y' to continue auto installation. Press 'n' to quit auto instalation(y=yes, n=no*): Installation exit

Értékelés: 

0
Még nincs értékelve

Innen töltsd le a HPLIP-et,

#11

Parancsértelmező indítása nem igényli az asztali környezetet, linux szervereken jellemzően nem is fut asztali környezet, ennek ellenére indíthatóak a shellek. Hogy pontosan milyen shellek indíthatóak egy rendszeren, azt a 'cat /etc/shells' megmondja. Amikor pl linuxmint alatt bash alól futtatom a 'sh hplip-3.20.6.run' parancsot, a bash csak azt ellenőrzi, hogy a sh parancsra van-e futtatási jogom, az argumentumként megadott hplip-3.20.6.run script fájlt nem, azt csak átadja az sh parancsnak. Éppen ezért itt a munkakönyvtárra való hivatkozás (a './') is szükségtelen, hiszen az akkor kell, ha a $PATH változóból az indítani kívánt parancs munkakönyvtára hiányzik, nem pedig az argumentum fájlé. Más a helyzet, ha a bash-ben csak sh-t indítom magában argumentum nélkül, és az elindult sh alhéjból indítom a scriptet (./hplip-3.20.6.run). ez esetben már a script nem argumentum, hanem parancs, és itt már kell a futtatási jog is és a munkakönyvtárra hivatkozás, amennyiben hiányzik a $PATH-ból.

Értékelés: 

0
Még nincs értékelve

Innen töltsd le a HPLIP-et,

#11 Persze, köszi. Már mentettem is a hozzászólásodban szereplő parancsokat.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Innen töltsd le a HPLIP-et,

#13 A lényeg, amit lentebb, most írtam.
A használt rendszernek megfelelő telepítőt töltsd le.
Lépj be a könyvtárba, ahol a telepítő tartózkodik.
Futtasd a javasolt (aperten és én) két parancssor bármelyikét.
Ha bármilyen, például megfelelőségi hibát jelez a telepítő, ne folytasd, nyomj N-t és Entert.

-----

#12 Annyit tennék még ehhez hozzá, javasolni szoktuk. be kell lépni a könyvtárba, ahova letöltésre került a fájl - ez is gondokat szokott okozni, habár nem a kérdezőnél, hanem általában - mert „csak” ott lehet elindítani a telepítést (első parancssor), és persze, a teljes elérési úttal vagy a rövidebb elérési úttal is más könyvtárból is (abszolút vagy relatív elérési utak). Utóbbira példa (abszolút elérési úttal):

debkim@debkim:~/Videók$ sh /home/debkim/Letöltések/hplip-3.20.6.run

... látható, a Videók könyvtárban állok, a telepítő a Letöltések könyvtárban tartózkodik.

Ahogy nem fog menni:

debkim@debkim:~$ sh hplip-3.20.6.run
sh: 0: Can't open hplip-3.20.6.run

... a parancsértelmező csak a „PATH”-ban szereplő parancsokat értelmezi globálisan, és például a letöltött telepítő nem parancs (a rendszer nem ismeri), továbbá azért sem, mert a Letöltések könyvtár sincs a „PATH”-ban. Az általam hazsnált rendszeré:

echo $PATH
/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games

Értékelés: 

0
Még nincs értékelve
kimarite képe

Innen töltsd le a HPLIP-et,

#13 A sudo-t kéne törölni csak a korábbi jegyzetedből.:)

A topikot nyitó kérdező pénteken, két napja nézett be ide...

Értékelés: 

0
Még nincs értékelve

Innen töltsd le a HPLIP-et,

#15 Köszi, így teszek legközelebb.

Értékelés: 

0
Még nincs értékelve
kimarite képe

l3

#22 Nem ez lesz a gond, de te egy régebbit (hplip-3.15.9) is megpróbáltál telepíteni, a könyvtára is létrejött. Mi volt ott a telepítéssel, az eredményes volt?

drwxr-xr-x 2 laci laci 4096 aug 7 11:09 hplip
drwxr----- 19 laci laci 4096 aug 7 16:02 hplip-3.15.9
-rwxrwxrwx 1 laci laci 22037289 szept 15 2015 hplip-3.15.9.run
-rwxrwxrwx 1 laci laci 22037289 szept 15 2015 hplip-3.20.2.run

Értékelés: 

0
Még nincs értékelve
kimarite képe

l2

@#21 Elnézést ..., de ezzel most mi pontosan a cél, mi derülhet ki a listázásból?

Értékelés: 

0
Még nincs értékelve
kimarite képe

hp-laserjet_p1005.ppd.gz | hp-laserjet_m1005. | P1005 vagy M1005

#26 ... itt (tresor)

/hplip-3.20.6/ppd/hpcups/

van egy ilyen csomag:

hp-laserjet_p1005.ppd.gz

Van M-ben is.

#17 A nyomtató melyik lehet? (RepLa)

P1005 vagy M1005

Értékelés: 

0
Még nincs értékelve
kimarite képe

l2

#20 Próbáljuk telepíteni a függőségeket is:

sudo apt-get install cups libcups2

Kimenet is kéne.

-----

Így elég egyszerű a folyamat:

sudo apt-get install hplip
hp-setup -i

A 3.17.10+repack0-5 verzió telepíthető a Linux Mint 19.3 kiadáshoz.

Értékelés: 

0
Még nincs értékelve

l4

A nyomtató tipusa.   HP Laser Jet P1005

Értékelés: 

0
Még nincs értékelve
kimarite képe

Ez a kimenet a grafikus

#32 Internet kapcsolat szükséges.

A hiányzó plugin telepítéséhez futtasd a kimenetben is ajánlott módszert. Azaz ezt:

cd Letöltések/
wget https://developers.hp.com/sites/default/files/hplip-3.20.2-plugin.run
chmod +x hplip-3.20.2-plugin.run
./hplip-3.20.2-plugin.run

Kimenet kéne.

-----

Ha nyomtatni kezdek ez jelenik meg hiba ként:

/run/cups/cups.sock

Ez szerintem a plugin hiányának függvénye, de nézzük a kimenetet itt is:

systemctl status cups --no-pager

Jegyzet:

locate cups.sock
/etc/systemd/system/sockets.target.wants/cups.socket
/usr/lib/systemd/system/cups.socket
/var/lib/systemd/deb-systemd-helper-enabled/cups.socket.dsh-also
/var/lib/systemd/deb-systemd-helper-enabled/sockets.target.wants/cups.socket
file /run/cups/cups.sock
/run/cups/cups.sock: socket

Értékelés: 

0
Még nincs értékelve

systemctl status kimenet

systemctl status kimenet

laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$ systemctl status cups --no-pager
● cups.service - CUPS Scheduler
   Loaded: loaded (/lib/systemd/system/cups.service; enabled; vendor preset: enabled)
   Active: failed (Result: start-limit-hit) since Tue 2020-08-11 18:22:12 CEST; 1h 19min ago
     Docs: man:cupsd(8)
  Process: 3019 ExecStart=/usr/sbin/cupsd -l (code=killed, signal=TERM)
 Main PID: 3019 (code=killed, signal=TERM)

aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…t.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…5.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: Stopped CUPS Sc…r.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…y.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: F…'.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: Failed to start…r.
Hint: Some lines were ellipsized, use -l to show in full.
laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

systemctl status kimenet

#34 Nagy képernyőre tedd ki a terminált. Olvashatatlanok a jelzések:

aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…t.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…5.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: Stopped CUPS Sc…r.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: S…y.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: cups.service: F…'.
aug 11 18:22:12 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: Failed to start…r.

Értékelés: 

0
Még nincs értékelve

l4

usr/lib/systemd/system       és itt nincs cups.socket

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

l4

#36 Próbáljuk fájlba menteni a kimenetet, mert így sem látszik a sor vége, a hibák.

systemctl status cups --no-pager > systemctl_statcups_01.txt

és

systemctl status cups --no-pager | tee -a systemctl_statcups_02.txt

A két szövegfájl a saját könytáradban lesz, tartalmukat pasztázni kéne.

Ha hazaérek, még mást is kérdezek.

-----

A

hp-plugin

parancs futtatásával mi a helyzet?

Értékelés: 

0
Még nincs értékelve

Kimenetek:

Kimenetek:

https://pastebin.com/XApxnA63

hp-plugin

laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$ hp-plugin

HP Linux Imaging and Printing System (ver. 3.20.2)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

HP Linux Imaging and Printing System (ver. 3.20.2)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from:
Plugin is not accessible. Trying to download it from fallback location: [https://developers.hp.com/sites/default/files/hplip-3.20.2-plugin.run]
error: /home/laci/.hplip/hplip-3.20.2-plugin.run file does not match its checksum. File may have been corrupted or altered

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

cp /usr/share/cups/cupsd.conf.default /etc/cups/cupsd.conf

#42 A következő lépés, alap (default) konfiguráció bemásolása...:

sudo mv /etc/cups/cupsd.conf /etc/cups/cupsd.conf.ORIG
sudo cp /usr/share/cups/cupsd.conf.default /etc/cups/cupsd.conf
sudo systemctl restart cups

Értékelés: 

0
Még nincs értékelve
kimarite képe

l4

#44 Neked ez van a rendszer tükrön,

Package hplip
  • bionic (18.04LTS) (utils): HP Linux Printing and Imaging System (HPLIP)
    3.17.10+repack0-5: amd64 arm64 armhf i386 ppc64el s390x

de nem az fut!

laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$ hp-plugin

HP Linux Imaging and Printing System (ver. 3.20.2)
Plugin Download and Install Utility ver. 2.1

Persze, hogy nem jó sem a plugin telepítése, se a nyomtatás.

Az összes telepített hplip alkalmazást töröld (végleges eltávolítással)...Synaptic-ban például.
A kiemelt könytárat is töröld:

/home/laci/.hplip/

Majd (mint említettem, tükrökről):

sudo apt-get install hplip

Nem kellett volna belekezdeni letöltögetni amúgy-

Értékelés: 

0
Még nincs értékelve

l4

#44 Nem találja a megadott linken a hplip-3.20.2-plugin.run fájlt, ami tényleg 404-est dob.

próbáld meg letölteni innen: https://sourceforge.net/projects/hplip/files/hplip/3.20.2/

a hplip-3.20.2.run ill. hplip-3.20.2.run.asc fájlokat, tedd be a /home/laci/.hplip/ mappába, majd futtasd újra a hp-plugin -t, hátha így lefut.

Értékelés: 

0
Még nincs értékelve

A törlések és installálás

A törlések és installálás után próbáltam nyomtatni. Jobb felső sarokba felugrik hogy nyomtat, majd hogy a nyomtatás kész.

De nem nyomtatott. Semmilyen hiba üzenet nem jelent meg.

 

laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$ sudo apt-get install hplip
[sudo] laci jelszava:       
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
hplip már a legújabb verzió (3.17.10+repack0-5).
0 frissített, 0 újonnan telepített, 0 eltávolítandó és 0 nem frissített.
laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$

Értékelés: 

0
Még nincs értékelve

hp1005 lm19.3 hiba

cups kimenet

laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$ systemctl status cups --no-pager
● cups.service - CUPS Scheduler
   Loaded: loaded (/lib/systemd/system/cups.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2020-08-13 10:53:55 CEST; 2min 33s ago
     Docs: man:cupsd(8)
 Main PID: 989 (cupsd)
    Tasks: 4 (limit: 4915)
   CGroup: /system.slice/cups.service
           ├─ 989 /usr/sbin/cupsd -l
           ├─2060 /usr/lib/cups/notifier/dbus dbus://
           ├─2061 /usr/lib/cups/notifier/dbus dbus://
           └─2062 /usr/lib/cups/notifier/dbus dbus://

aug 13 10:53:55 laci-HP-Pavilion-Laptop-15-cs0xxx systemd[1]: Started CUPS Sc…r.
aug 13 10:54:30 laci-HP-Pavilion-Laptop-15-cs0xxx /hpfax[1936]: [1936]: error…ip
Hint: Some lines were ellipsized, use -l to show in full.
laci@laci-HP-Pavilion-Laptop-15-cs0xxx:~$

Értékelés: 

0
Még nincs értékelve
kimarite képe

A törlések és installálás

#47 Oks. Meg kéne nézni, tényleg a régebbi van telepítve. Kimenetek?

dpkg -l | grep hplip
apt-cache policy hplip

Valamennyire biztató, hogy a rendszer azt mondja, "nyomtattam", és a feladat listából is eltűnik a nyomtatandó dokumentum.

Húzd ki a nyomtató kábelt a PC-ből, majd dugd vissza. Próbálj nyomtatni.

A következő lépés - előzőt se hagyd ki - indítsd újra a rendszert. Próbálj nyomtatni.

------

A következő lépés más, mert most kiderítjük, mi a gond. Így add ki a parancssort (kimenet kéne)

systemctl status cups --no-pager --full

(a systemctl kézikönyve: https://www.man7.org/linux/man-pages/man1/systemctl.1.html ).

Értékelés: 

0
Még nincs értékelve
kimarite képe

hp1005 lm19.3 hiba

#51 Az előbbin túl, még kettő kimenet kéne:

sudo namei -l /var/spool/cups/tmp/.hplip
groups $USER

Értékelés: 

0
Még nincs értékelve

Oldalak